import msp_interface;

const bool use_shadow_map = false;

#pragma MSP stage(vertex)
void shadow_transform(vec4 eye_vertex)
{
	out vec3 shadow_coord = (shd_eye_matrix*eye_vertex).xyz;
}

#pragma MSP stage(fragment)
float get_shadow_factor(int index)
{
	if(use_shadow_map)
	{
		float shadow_sample = texture(shadow_map, shadow_coord);
		return mix(1.0, shadow_sample, shadow_darkness);
	}
	else
		return 1.0;
}
